#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hoogle
version:              5.0.18.4
visibility:           public
id:                   hoogle-5.0.18.4-I7YITRkSnvN4OmmtC0aaPR
key:                  hoogle-5.0.18.4-I7YITRkSnvN4OmmtC0aaPR
license:              BSD-3-Clause
copyright:            Neil Mitchell 2004-2024
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:             https://hoogle.haskell.org/
synopsis:             Haskell API Search
description:
    Hoogle is a Haskell API search engine, which allows you to
    search many standard Haskell libraries by either function name,
    or by approximate type signature.

category:             Development
abi:                  3b9bf75acc7bb0971dc824a5e82d698e
exposed:              True
exposed-modules:      Hoogle
hidden-modules:
    Paths_hoogle Action.CmdLine Action.Generate Action.Search
    Action.Server Action.Test Input.Cabal Input.Download Input.Haddock
    Input.Item Input.Reorder Input.Set Input.Settings Output.Items
    Output.Names Output.Tags Output.Types Query General.Conduit
    General.IString General.Log General.Store General.Str
    General.Template General.Timing General.Util General.Web

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hoogle
hs-libraries:         HShoogle-5.0.18.4-I7YITRkSnvN4OmmtC0aaPR
include-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4/include
includes:             include.h
depends:
    QuickCheck-2.14.3-1sWCe8KuaHp2ZxS22lbvKK
    aeson-2.1.2.1-5xA96pEAe1OF80YjsNpBtK base-4.16.4.0 binary-0.8.9.0
    blaze-html-0.9.2.0-DanVclPvEcq8HALunRSOVk
    blaze-markup-0.8.3.0-FxmmPEOG2EDEw9lRhdvJWl bytestring-0.11.4.0
    cmdargs-0.10.22-JQ4ivQZzeRmKKTWVSPDfjg
    conduit-1.3.6-4nxUBFRe7qx8JsNUl8azVI
    conduit-extra-1.3.6-H2ARZzMf44UD4DNef0Nprn containers-0.6.5.1
    crypton-connection-0.3.2-8bb9Egw4S2s9QKw0pcg6KA deepseq-1.4.6.1
    directory-1.3.6.2 extra-1.7.16-2mdugPLlpsLFCymFYwYPi2
    filepath-1.4.2.2 foundation-0.0.30-HGERhRs5JCDILoHDx95jS
    hashable-1.4.4.0-CxCIesSa4aLFiFeBLAsQal
    haskell-src-exts-1.23.1-2M2dIRD8tu8JTZe6IaOcTs
    http-conduit-2.3.9-2iLlAheZepUGhf7GdEvX9O
    http-types-0.12.4-BeuRrGxb4N4IPcT7RjRHis
    js-flot-0.8.3-CzHXKBaovyL8SpvVY5AoqF
    js-jquery-3.3.1-6d0EhuAQiayKaqHXi3Qcvc
    mmap-0.5.9-Ev5kK7GQQYl5y5LE8RvEAs
    old-locale-1.0.0.7-DSFeUNZwxUU2YUIlh1bsq7
    process-extras-0.7.4-LlWGn436WW061Z1qM8bcr0
    resourcet-1.2.6-CWtJGH6acq3JRI3WPjesPj
    safe-0.3.21-DycKuNeB2NrH0Uhgd9RWtv
    storable-tuple-0.1-LRhCHWfLSfFJ31dKPpPnxm
    tar-0.5.1.1-FICPnEnCOBS6u0aTW1VgX5 template-haskell-2.18.0.0
    text-1.2.5.0 time-1.11.1.1 transformers-0.5.6.2
    uniplate-1.6.13-11xJxnG7KzmIv2px8kQrrx
    utf8-string-1.0.2-9i4m1tpDbmh81tMCrQ25jI
    vector-0.13.1.0-HRMJcTNtHmH9PMIsGjP73X
    wai-3.2.4-9XnAdYLH1JYDbRUsfasrih
    wai-logger-2.5.0-KGxe8CIndkRIQKaiJvIR6P
    warp-3.3.30-AG3hagZWdgpGN8uLKIQMpN
    warp-tls-3.4.7-BrK4Wz2vp7bJ5zW78ZqutJ
    zlib-0.6.3.0-IIAcHOIPpQU8ODq8LIBQuo

haddock-interfaces:   /usr/share/doc/hoogle/html/hoogle.haddock
haddock-html:         /usr/share/doc/hoogle/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

